function pick(sourceObject, keys) {
  const newObject = {};
  for (const key of keys) {
    if (!(sourceObject === null || sourceObject === void 0 ? void 0 : sourceObject[key]) && (sourceObject === null || sourceObject === void 0 ? void 0 : sourceObject[key]) !== 0)
      continue;
    newObject[key] = sourceObject[key];
  }
  return newObject;
}

export { pick as p };
